<template>
    <div>
        <div class="form-group form-inline">
            <div class="form-group form-inline discount-group edit__set_block">
                <div class="discount-title">
                    <b>Discount</b>
                </div>
                <div class="form-group col-md-3 width-unset">
                    <div class="row">
                        <div>
                            <div>
                                <div class="discount-text-subtitle">
                                    Type
                                </div>
                            </div>
                            <div>
                                <select
                                    v-model="selectedTypeMenu"
                                    class="my-select-menu"
                                >
                                    <option
                                        v-for="(menu, index) in selectTypeMenus"
                                        :key="index"
                                        :value="menu.title"
                                    >
                                        {{ menu.title }}
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <div class="row">
                        <div>
                            <div>
                                <div class="discount-text-subtitle">
                                    Discount code
                                </div>
                            </div>
                            <div>
                                <input
                                    class="my-input"
                                    type="text"
                                >
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group discount-help-text col-md-5 text-bold">
                    <div
                        class="discount-text-subtitle"
                    >
                        <template v-if="$store.state.shop.discountLink">
                            Manage your discount codes here
                            <a
                                class="discount-text-subtitle"
                                :href="$store.state.shop.discountLink"
                            ><b>Shopify Admin panel</b></a>
                        </template>
                        <template v-else>
                            Manage your discount codes in Coupons section on Wix Dashboard
                        </template>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group form-inline discount-group edit__set_block">
            <div class="row">
                <div class="col-md-4">
                    <b>Content</b>
                </div>
                <div class="col-md-8 text-right">
                    <select
                        v-model="selectedTagMenu"
                        class="form-control select-tags"
                    >
                        <option
                            v-for="(menu, index) in selectTagMenus"
                            :key="index"
                            :value="menu.title"
                        >
                            {{ menu.title }}
                        </option>
                    </select>
                </div>
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Before Receipt
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value="Hi {firstName}, thanks for shopping with us! If you have any questions, message us here."
                >
                <div class="help-text">
                    {firstName} will be replaced wth the customer's first name. {orderNumber} will show the order's number.
                </div>
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    After Receipt
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value="Get 10% off your next purchase in the next two weeks: use in THANKYOU10 at checkout."
                >
                <div class="help-text">
                    Say thank you to your customers and incentivize them with a coupon to come back and purchase again. Make sure to create your discount code <span><a
                        href=""
                    >here.</a></span>
                </div>
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Button Text
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value="Shop now"
                >
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Button URL
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value="https://viktor-demo.myshopify.com"
                >
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "ReceiptsFormContent",
    data: () => ({
        selectTypeMenus: [
            {
                title: 'Pre-made'
            },
            {
                title: 'Automatic'
            }
        ],
        selectTagMenus: [
            {
                title: 'tags'
            },
            {
                title: '{firstName}'
            },
            {
                title: '{lastName}'
            },
            {
                title: '{siteName}'
            },
            {
                title: '{storeEmail}'
            },
            {
                title: '{discountCode}'
            }
        ],
        selectedTypeMenu: 'Pre-made',
        selectedTagMenu: 'tags',
    })
}
</script>

<style scoped lang="scss">


.discount-text-subtitle {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 5px;
}

.full-width {
    width: 100%;
}

.form-content-title {
    font-size: 14px;
    margin-top: 20px;
}

.discount-title {
    margin-bottom: 20px;
}

.help-text {
    font-size: 11px;
    color: #98A0A6;
    line-height: 18px;
    padding-top: 5px;
}

.my-select-menu {
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    cursor: pointer;
    border-radius: 3px;
    padding: 10px 12px;

    &:hover {
        background: #ECF3FE !important;
    }

    @media screen and (max-width: 926px) {
        margin-top: 10px;
    }
}

.form-control {
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 3px;
    height: 40px;
}
.select-tags {
    max-width: 100px;
    background-color: transparent;
}

.my-input {
    max-width: 100px;
    font-weight: bold;
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 3px;
    padding: 10px 12px;
}

.edit__set_block {
    border: 1px solid rgba(138, 135, 135, 0.36);
    width: 100%;
    padding: 10px 20px 30px 20px;
    margin: 5px 5px 5px 0;
    .row {
        width: 105%;
    }
}

@media (min-width: 770px) {
    .form-inline .form-group {
        display: inline-block;
        margin-bottom: 0;
        vertical-align: middle;
    }
}

.width-unset {
    width: unset;
    margin-right: 10px;
}

</style>
